package com.pj.project.tb_pass_record;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import com.pj.utils.so.*;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * Mapper: tb_pass_record -- 放行日志
 * @author lzm 
 */

@Mapper
@Repository
public interface TbPassRecordMapper extends BaseMapper<TbPassRecord> {

	/**
	 * 增  
	 * @param t 实体对象 
	 * @return 受影响行数 
	 */
	int add(TbPassRecord t);

	/**
	 * 删  
	 * @param id 要删除的数据id  
	 * @return 受影响行数 
	 */
	int delete(Long id);	 

	/** 
	 * 改  
	 * @param t 实体对象 
	 * @return 受影响行数 
	 */
	int update(TbPassRecord t);

	/** 
	 * 查 - 根据id  
	 * @param id 要查询的数据id 
	 * @return 实体对象 
	 */
	TbPassRecord getById(Long id);	 

	/**
	 * 查集合 - 根据条件（参数为空时代表忽略指定条件）
	 * @param so 参数集合 
	 * @return 数据列表 
	 */
	List<TbPassRecord> getList(SoMap so);

    TbPassRecord getByBusinessId(@Param("businessId") String businessId);

    TbPassRecord getByBusinessIdAndCountryName(@Param("businessId")String businessId, @Param("carCountryName")String carCountryName);

    void deleteByBusinessId(String businessId);
}
